$packageName    = 'kubernetes-kompose'
$url64          = 'https://github.com/kubernetes/kompose/releases/download/v1.4.0/kompose-windows-amd64.exe'
$checksum64     = 'fead05474cba530500c8eb4da02682116dda097015bb55761deec52ecb6a417f'
$checksumType64 = 'sha256'

$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileFullPath   = "$toolsDir\kompose.exe"


Get-ChocolateyWebFile -PackageName "$packageName" -FileFullPath "$fileFullPath" -Url64 "$url64" -Checksum64 "$checksum64" -ChecksumType64 "$checksumType64"

# Remove tools sub-folders (previous package installations)
$subdirs = Get-ChildItem "$toolsDir" -Directory
foreach ($subdir in $subdirs) {
    Remove-Item "$toolsDir\$subdir" -Recurse
}
